BaseMetaHandler.PageCompletion (RabbIT/4)
Date: 2009-10-13

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## rabbit.meta
Enum BaseMetaHandler.PageCompletion

    java.lang.Object
      java.lang.Enum<BaseMetaHandler.PageCompletion>
          rabbit.meta.BaseMetaHandler.PageCompletion

All Implemented Interfaces:
  Serializable, Comparable<BaseMetaHandler.PageCompletion>

Enclosing class:
  BaseMetaHandler

    public static enum BaseMetaHandler.PageCompletion

extends Enum<BaseMetaHandler.PageCompletion>

Enum Constant Summary
`PAGE_DONE`
`PAGE_NOT_DONE`

Method Summary
`static BaseMetaHandler.PageCompletion` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static BaseMetaHandler.PageCompletion[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PAGE_NOT_DONE

    public static final BaseMetaHandler.PageCompletion PAGE_NOT_DONE

### PAGE_DONE

    public static final BaseMetaHandler.PageCompletion PAGE_DONE

Method Detail

### values

    public static BaseMetaHandler.PageCompletion[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (BaseMetaHandler.PageCompletion c : BaseMetaHandler.PageCompletion.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static BaseMetaHandler.PageCompletion valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD